=== lang/DESCRIPTION ===
Name: mathgl
Version: 1.8.1
Date: 2009-03-02
Author: Alexey Balakin
Maintainer: Dmitry Kulagin
Title: MathGL
Description: Data plotting library
Depends: octave (>= 2.9.12)
Autoload: yes
SystemRequirements: ...
License: GPL
Keywords: ...
Url: http://octave.sf.net http://mathgl.sf.net
