## mathgl 1.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 project( MathGL )
 set(CMAKE_VERBOSE_MAKEFILE ON)
+option(enable-double "Enable double precision in MathGL library")
 option(enable-all "Enable all features")
 option(enable-langall "Enable all language interfaces")
 option(enable-gsl "Enable gsl support")
@@ -15,6 +16,9 @@
 option(enable-python "Enable python interface")
 option(enable-octave "Enable octave interface")
 option(enable-doc "Enable documentation building")
+if(enable-double)
+    set(use_double 1)
+endif(enable-double)
 if(enable-all OR enable-gsl)
     set(use_gsl 1)
 endif(enable-all OR enable-gsl)
