## mathgl 1.10.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,12 @@
 option(enable-double "Enable double precision in MathGL library")
 option(enable-all "Enable all features")
 option(enable-langall "Enable all language interfaces")
+option(enable-pthread "Enable POSIX threads support")
 option(enable-gsl "Enable gsl support")
 option(enable-jpeg "Enable jpeg support")
 option(enable-gif "Enable gif support")
 option(enable-hdf5 "Enable hdf5 support")
+option(enable-hdf5_18 "Enable hdf5 1.8 support")
 option(enable-glut "Enable glut support")
 option(enable-fltk "Enable fltk widget")
 option(enable-wx "Enable wxWidget widget")
@@ -22,6 +24,9 @@
 if(enable-all OR enable-gsl)
     set(use_gsl 1)
 endif(enable-all OR enable-gsl)
+if(enable-all OR enable-pthread)
+    set(use_pthread 1)
+endif(enable-all OR enable-pthread)
 if(enable-all OR enable-jpeg)
     set(use_jpeg 1)
 endif(enable-all OR enable-jpeg)
@@ -31,6 +36,9 @@
 if(enable-all OR enable-hdf5)
     set(use_hdf5 1)
 endif(enable-all OR enable-hdf5)
+if(enable-hdf5_18)
+    set(use_hdf5_18 1)
+endif(enable-hdf5_18)
 if(enable-all OR enable-glut)
     set(use_glut 1)
 endif(enable-all OR enable-glut)
@@ -77,6 +85,13 @@
 	endif(use_gsl)
 endif(NOT GSL_LIB OR NOT GSL_CBLAS_LIB OR NOT GSL_INCLUDE_DIR)
 
+include(FindThreads)
+if(NOT CMAKE_USE_PTHREADS_INIT)
+	if(use_pthread)
+		message(SEND_ERROR "Couldn't find POSIX threads libraries.")
+	endif(use_pthread)
+endif(NOT CMAKE_USE_PTHREADS_INIT)
+
 include(FindJPEG)
 if(NOT JPEG_FOUND)
 	if(use_jpeg)
@@ -94,11 +109,11 @@
 find_library(HDF5_LIB hdf5)
 find_path(HDF5_INCLUDE_DIR hdf5.h)
 if(NOT HDF5_LIB OR NOT HDF5_INCLUDE_DIR)
-	if(use_hdf5)
+	if(use_hdf5 OR use_hdf5_18)
 		message(SEND_ERROR "${HDF5_LIB}")
 		message(SEND_ERROR "${HDF5_INCLUDE_DIR}")
 		message(SEND_ERROR "Couldn't find HDF5 libraries.")
-	endif(use_hdf5)
+	endif(use_hdf5 OR use_hdf5_18)
 endif(NOT HDF5_LIB OR NOT HDF5_INCLUDE_DIR)
 
 include(FindGLUT)
