=== mgl/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,10 @@
 )
 
 add_library(mgl SHARED ${mgl_src})
+add_library(mgl-static STATIC ${mgl_src})
+set_target_properties(mgl-static PROPERTIES OUTPUT_NAME "mgl")
+set_target_properties(mgl PROPERTIES CLEAN_DIRECT_OUTPUT 1)
+set_target_properties(mgl-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
 
 if(use_qt)
 	add_definitions(-DHAVE_QT)
@@ -23,6 +27,11 @@
 	add_definitions(-DHAVE_GLUT)
 endif(use_glut)
 
+if(use_pthread)
+	target_link_libraries(mgl ${CMAKE_THREAD_LIBS_INIT})
+	add_definitions(-DHAVE_PTHREAD)
+endif(use_pthread)
+
 if(use_jpeg)
 	target_link_libraries(mgl ${JPEG_LIBRARIES})
 	add_definitions(-DHAVE_JPEG)
@@ -35,11 +44,14 @@
 	include_directories(${GIF_INCLUDE_DIR})
 endif(use_gif)
 
-if(use_hdf5)
+if(use_hdf5 OR use_hdf5_18)
 	target_link_libraries(mgl ${HDF5_LIB})
-	add_definitions(-DHAVE_HDF5 -DH5_USE_16_API)
+	add_definitions(-DHAVE_HDF5)
+	if(use_hdf5)
+		add_definitions(-DH5_USE_16_API)
+	endif(use_hdf5)
 	include_directories(${HDF5_INCLUDE_DIR})
-endif(use_hdf5)
+endif(use_hdf5 OR use_hdf5_18)
 
 if(use_gsl)
 	target_link_libraries(mgl ${GSL_LIB} ${GSL_CBLAS_LIB} )
@@ -62,5 +74,6 @@
 install(
 	TARGETS mgl
 	RUNTIME DESTINATION bin
+	ARCHIVE DESTINATION lib
 	LIBRARY DESTINATION lib
 )
