=== debian/changelog ===
mathgl (1.10.2.1-2ubuntu3) natty; urgency=low

  * Re-add debian/patches/debian-changes-1.10.2.1-2; apparently it was wrong
    to assume the changes in this patch were all auto-generated and
    irrelevant.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Apr 2011 01:30:13 -0700

mathgl (1.10.2.1-2ubuntu2) natty; urgency=low

  * debian/rules: clean the dependency_libs out of .la files at build
    time, per Policy 10.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Apr 2011 00:16:04 -0700

mathgl (1.10.2.1-2ubuntu1) natty; urgency=low

  * debian/python-mathgl.install: Update install path for any python version
    to fix a FTBFS issue with python 2.7 in natty (LP: #696452)

 -- Sameer Morar <smorar@gmail.com>  Mon, 03 Jan 2011 00:34:09 +1300

mathgl (1.10.2.1-2) unstable; urgency=low

  * Make .png pictures visible from the html documentation.
  * Add python support (Closes: #541481).

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 11 Sep 2010 12:37:00 +0200
	

mathgl (1.10.2.1-1) unstable; urgency=low

  [ D Eftaxiopoulos ]
  * Update to Debian Policy 3.9.1
  * Put myself and D. Haley to the maintainers list.
  * Comment out parallel-build-png.patch in the debian/patches/series file
    since it seems to apply to a texinfo/Makefile.am file that is not 
    included in the source tree.
  * Append package quilt to the build-depends list for the source in the 
    debian/control file, in order to fix a lintian error.
  * Reinstate debian/source/format file with content '3.0 (quilt)'.
  * Fix Lintian warnings related to manpages.

  [ D Haley ]
  * New upstream release 1.10.2.1 (Closes: #562743).

  [ Salvatore Bonaccorso ]
  * New Maintainer (Closes: #564422). Set Maintainer to Debian Science
    Maintainers <debian-science-maintainers@lists.alioth.debian.org>.
  * Convert to '3.0 (quilt)' package source format. Drop quilt framework for
    packaging. 
  * debian/control: 
    - Change Vcs-Browser and Vcs-Git to the debian-science git repository.
    - Change Section for source package to 'science' as per debian-science
      group policy.
    - Set DM-Upload-Allowed field to yes.
  * Add myself to Uploaders.

  [ Sylvestre Ledru ]
  * Missing dependency against automake added.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 15 Aug 2010 21:45:47 +0200

mathgl (1.9-3) unstable; urgency=low

  * QA upload.
  * Properly orphan the package (see #564422), set maintainer to QA.
  * Bump Standards-Version to 3.8.4, no changes needed.
  * Add debian/README.source, pointing to quilt doc.
  * Bump build-deps on octave from 3.0 to 3.2 (Closes: #574025).

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 26 Mar 2010 14:06:08 +0100

mathgl (1.9-2) unstable; urgency=low

  * Fix FTBFS. Closes: #545882.
  * Update Standards-Version to 3.8.3.

 -- Bradley Smith <bradsmith@debian.org>  Wed, 09 Sep 2009 22:44:44 +0100

mathgl (1.9-1) unstable; urgency=low

  * New upstream release. Closes: #535503.
  * QT -> qt in package descriptions. Closes: #534425.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 19 Jul 2009 16:41:41 +0100

mathgl (1.8.1-6) unstable; urgency=low

  * Redo descriptions.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 09 Jun 2009 20:26:42 +0100

mathgl (1.8.1-5) unstable; urgency=low

  * Correct info-dir-section in texinfo/mathgl.texi. Closes: #528893.

 -- Bradley Smith <bradsmith@debian.org>  Wed, 27 May 2009 17:52:50 +0100

mathgl (1.8.1-4) unstable; urgency=low

  * Correct libltdl-dev Build-Depend. Closes: #526426.
  * Further improve descriptions.

 -- Bradley Smith <bradsmith@debian.org>  Fri, 01 May 2009 12:59:05 +0100

mathgl (1.8.1-3) unstable; urgency=low

  * Tidy up descriptions. Closes: #521830, #521917.
  * Update Standards-Version to 3.8.1. (No changes).
  * Fix watch file.

 -- Bradley Smith <bradsmith@debian.org>  Sat, 18 Apr 2009 17:42:59 +0100

mathgl (1.8.1-2) unstable; urgency=low

  * Fix parallel builds. Closes: #519738.

 -- Bradley Smith <bradsmith@debian.org>  Thu, 19 Mar 2009 19:08:37 +0000

mathgl (1.8.1-1) unstable; urgency=low

  * New upstream release. Closes: #518769.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 08 Mar 2009 13:29:33 +0000

mathgl (1.8-1) unstable; urgency=low

  * Initial release. Closes: #510378.

 -- Bradley Smith <bradsmith@debian.org>  Thu, 01 Jan 2009 11:27:32 +0000
